#### D.14.7.17 zdd2poly

Procedure from library `polybori.lib` (see polybori_lib).

Usage:
  zdd2poly(ss); zero-supressed decision diagram ss

Return:
  zdd ss in polynomial representation

Example:

    LIB "polybori.lib";
    ring r=0,x(1..5),Dp;
    poly f=(x(1)+1)*(x(2)+1)*(x(3)+1)*x(4)*x(5);
    zdd2poly(poly2zdd(f));
    poly g=x(3);
    zdd2poly(poly2zdd(g));
    poly g=0;
    zdd2poly(poly2zdd(0));
    poly g=1;
    zdd2poly(poly2zdd(01));

See also: boolean_set; from_boolean_poly.

User manual for Singular version 4.4.1, 2025, generated by texi2html.